# filename-regex [![NPM version](https://badge.fury.io/js/filename-regex.svg)](http://badge.fury.io/js/filename-regex)

> Regular expression for matching file names, with or without extension.

## Install with [npm](npmjs.org)

```bash
npm i filename-regex --save
```

## Usage

The regex is returned as a function. 

```js
var regex = require('filename-regex');

var match = 'abc/xyz.md'.match(regex());
//=> match[0] = 'xyz.md'
//=> match[1] = 'xyz'
//=> match[2] = '.md'

var match = 'abc/xyz'.match(regex());
//=> match[0] = 'xyz'
//=> match[1] = 'xyz'
//=> match[2] = ''

var match = 'abc/.gitignore'.match(regex());
//=> match[0] = '.gitignore'
//=> match[1] = ''
//=> match[2] = '.gitignore'
```

## Run tests

Install dev dependencies:

```bash
node i -d && mocha
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/regexps/filename-regex/issues)

## Author

**Jon Schlinkert**
 
+ [github/regexps](https://github.com/regexps)
+ [twitter/regexps](http://twitter.com/regexps) 

## License
Copyright (c) 2014 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb](https://github.com/assemble/verb) on December 28, 2014._
